# dask.dataframe.rolling.Rolling.skew

Rolling.skew()

  Calculate the rolling unbiased skewness.

  This docstring was copied from pandas.core.window.rolling.Rolling.skew.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    numeric_only bool, default False (Not supported in Dask)

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `scipy.stats.skew`

    Third moment of a probability density.

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.skew`

    Aggregating skew for Series.

  `pandas.DataFrame.skew`

    Aggregating skew for DataFrame.

  Notes

  A minimum of three periods is required for the rolling calculation.

  Examples

      >>> ser = pd.Series([1, 5, 2, 7, 15, 6])
      >>> ser.rolling(3).skew().round(6)
      0         NaN
      1         NaN
      2    1.293343
      3   -0.585583
      4    0.670284
      5    1.652317
      dtype: float64